# 🛡️ NB Defense

[![bandit](https://github.com/protectai/nbdefense/actions/workflows/bandit.yml/badge.svg)](https://github.com/protectai/nbdefense/actions/workflows/bandit.yml)
[![build](https://github.com/protectai/nbdefense/actions/workflows/build.yml/badge.svg)](https://github.com/protectai/nbdefense/actions/workflows/build.yml)
[![black](https://github.com/protectai/nbdefense/actions/workflows/black.yml/badge.svg)](https://github.com/protectai/nbdefense/actions/workflows/black.yml)
[![mypy](https://github.com/protectai/nbdefense/actions/workflows/mypy.yml/badge.svg)](https://github.com/protectai/nbdefense/actions/workflows/mypy.yml)
[![tests](https://github.com/protectai/nbdefense/actions/workflows/test.yml/badge.svg)](https://github.com/protectai/nbdefense/actions/workflows/test.yml)
[![License: Apache 2.0](https://img.shields.io/crates/l/apa)](https://opensource.org/license/apache-2-0/)

## 🏃‍♀️ Quick Start

```bash
pip install nbdefense
```

## 🙋‍♂️ What is NB Defense?

Brought to you by Protect AI, NB Defense is a CLI tool and SDK that encourages you to think about security throughout every step of your machine learning development process. You can use nbdefense to scan for [Secrets](https://nbdefense.ai/supported-scans/detecting-secrets), [Personally Identifiable Information (PII)](https://nbdefense.ai/supported-scans/detecting-PII), [Common Vulnerabilities and Exposures(CVE)](https://nbdefense.ai/supported-scans/detecting-CVEs), and [Licenses](https://nbdefense.ai/supported-scans/detecting-licenses) in your notebook and dependency files.

NB Defense also acts as a SDK for our [Jupyter Lab Extension](https://github.com/protectai/nbdefense-jupyter). Visit our [documentation](https://nbdefense.ai), or the repository below to learn more.

- [Jupyter Lab Extension Repository](https://github.com/protectai/nbdefense-jupyter)

## 📄 Documentation

For more details and [documentation](https://nbdefense.ai) visit these links:

- [Documentation](https://nbdefense.ai)

- [Getting Started on a Local Machine](https://nbdefense.ai/getting-started/cli)

## 💪 Contributing

Welcome to the team! We are open to contributions and working with the community to make notebooks safer for everyone.

If you would like to contribute, please visit [CONTRIBUTING.md](https://github.com/protectai/nbdefense/blob/main/CONTRIBUTING.md) to get started as a developer, or to suggest bug fixes, improvements, or new features follow [this link](https://nbdefense.ai/faq) to our FAQ page.
